﻿using System;
using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Charts;
using Android.Graphics;
using Android.Util;
using Com.Syncfusion.Charts.Enums;
using Com.Syncfusion.Rangenavigator;
using Java.Util;

namespace ChartSample
{
    [Activity(Label = "ChartSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        ObservableArrayList Ratings;
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            
            SetContentView(Resource.Layout.Main);

            SfChart chart = new SfChart(this);

            CategoryAxis primaryAxis = new CategoryAxis();
            primaryAxis.Title.Text = "Animals";
            chart.PrimaryAxis = primaryAxis;

            NumericalAxis secondaryAxis = new NumericalAxis();
            secondaryAxis.Title.Text = "Number";
            chart.SecondaryAxis = secondaryAxis;

            Ratings = new ObservableArrayList();

            Ratings.Add(new ChartDataPoint("Cats", 3));
            Ratings.Add(new ChartDataPoint("Dogs", 5));
            Ratings.Add(new ChartDataPoint("Birds", 50));
            Ratings.Add(new ChartDataPoint("Fish", 20));
            Ratings.Add(new ChartDataPoint("Other", 120));

            PieSeries pieSeries = new PieSeries()
            {
                DataSource = Ratings,
            };
            pieSeries.DataMarker.ShowLabel = true;
            pieSeries.SmartLabelsEnabled = true;
            pieSeries.DataMarkerPosition = CircularSeriesDataMarkerPosition.Outside;
            pieSeries.DataMarkerLabelCreated += PieSeries_DataMarkerLabelCreated;

            PieSeries pieSeries1 = new PieSeries()
            {
                DataSource = Ratings,
            };
            pieSeries1.DataMarker.ShowLabel = true;
            pieSeries1.DataMarker.LabelStyle.BackgroundColor = Color.Transparent;
            pieSeries1.DataMarker.LabelStyle.TextColor = Color.White;

            chart.Series.Add(pieSeries1);
            chart.Series.Add(pieSeries);
            chart.Legend.Visibility = Visibility.Visible;

            SetContentView(chart);
        }

        private void PieSeries_DataMarkerLabelCreated(object sender, ChartSeries.DataMarkerLabelCreatedEventArgs e)
        {
            e.P0.Label = (Ratings.Get(e.P0.Index) as ChartDataPoint).GetX().ToString();
        }
    }
}

